Jobs

Get job status

GET
/jobs/{job_id}/status

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Path Parameters

job_id*string

Response Body

Successful Response

application/json
  1. response

Response containing job status information.

should_post_process*Should Post Process

Indicates if post-processing is required for the batch job.

post_processing_status*|

Current status of the post-processing step.

post_processing_error?|

Error message from post-processing if present.

Defaultnull
error_message*|

Error message if the batch job encountered an error.

total_images*Total Images

Total number of images to be processed in the batch job.

processed_images*Processed Images

Number of images that have been processed so far.

created_at*Created At

Creation datetime (UTC) in ISO 8601 format.

updated_at*Updated At

Last updated datetime (UTC) in ISO 8601 format.

job_id*Job Id

Unique identifier for the batch job.

job_type*|

Type of batch job (e.g., 'model_swap', 'flat_2_model').

status*Status

Current status of the batch job.

identity_code*|

Identity code associated with the batch job.

identity_name*|

Human-readable name of the identity associated with the batch job.

project_id*|

ID of the project associated with the batch job.

project_text*|

Human-readable name of the project.

project_key*|

Project key identifier (e.g., 'swift-wolf-555') used in S3 paths.

progress*Progress

Progress percentage of the batch job.

processing_options?|

Processing options used for this job (swap options, etc.).

Defaultnull
created_by*|

Username of the project's creator.

curl -X GET "https://example.com/jobs/string/status"
{  "should_post_process": true,  "post_processing_status": "string",  "post_processing_error": null,  "error_message": "string",  "total_images": 0,  "processed_images": 0,  "created_at": "string",  "updated_at": "string",  "job_id": "string",  "job_type": "string",  "status": "string",  "identity_code": "string",  "identity_name": "string",  "project_id": 0,  "project_text": "string",  "project_key": "string",  "progress": 0,  "processing_options": null,  "created_by": "string"}